import 'array_country_model.dart';

/// page : 1
/// pages : 6
/// per_page : "50"
/// total : 299

class CountryListResModel {
  CountryListResModel({
      this.page, 
      this.pages,
      this.total,});

  List<CountryModel>? list;
  CountryListResModel.fromJson(dynamic jsonMain) {
    dynamic json = jsonMain[0];
    page = json['page'];
    pages = json['pages'];
    total = json['total'];

    list = [];
    jsonMain[1].forEach((v) {
      list?.add(CountryModel.fromJson(v));
    });
  }
  int? page;
  int? pages;
  int? total;

  Map<String, dynamic> toJson() {
    final map = <String, dynamic>{};
    map['page'] = page;
    map['pages'] = pages;
    map['total'] = total;
    return map;
  }

}