import 'dart:async';
import 'package:dio/dio.dart';

import 'country_list_res_model.dart';

class ListCountrySDK {
  String COUNTRY_API = "http://api.worldbank.org/v2/country?format=json";

  Future<CountryListResModel?> getCountries() async {
    final client = Dio();

    try {
      final response = await client.get(COUNTRY_API);

      if (response.statusCode == 200) {
        return CountryListResModel.fromJson(response. data);
      }
    } catch (error) {
      print("error");
    }
    return null;
  }
}
